Maven fails to download dependencies - outdated repository url

I have simple Java build that looks like this:

language: java

and Travis build fails:

[ERROR] Failed to execute goal on project plumber: Could not resolve dependencies for project pl.touk:plumber:jar:0.0.1-SNAPSHOT: Failed to collect dependencies at org.apache.nifi:nifi-standard-processors:jar:1.9.2 -> org.apache.nifi:nifi-syslog-utils:jar:1.9.2 -> com.github.palindromicity:simple-syslog-5424:jar:0.0.11: Failed to read artifact descriptor for com.github.palindromicity:simple-syslog-5424:jar:0.0.11: Could not transfer artifact com.github.palindromicity:simple-syslog-5424:pom:0.0.11 from/to jcenter (http://jcenter.bintray.com): Authorization failed for http://jcenter.bintray.com/com/github/palindromicity/simple-syslog-5424/0.0.11/simple-syslog-5424-0.0.11.pom 403 Forbidden -> [Help 1]

It fails because jcenter does not support HTTP anymore, so the repository url needs to be changed. I’m not using any repository configuration in my pom.xml file.

I was not using any repositories in my pom.xml, but I’ve found one in my outdated dependency. After updating the package to newer version, with correct url - everything seems to work fine. :slight_smile:

Imprint